"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _Counter = _interopRequireDefault(require("./Counter"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function safeGetKey(report, key) {
  return report[key] || 0;
}
class ProcessMemoryCountrer extends _Counter.default {
  bench() {
    return process.memoryUsage();
  }
  static prettify(data) {
    // eslint-disable-next-line no-magic-numbers
    return `${Math.round(data / 1024 / 1024 * 100) / 100}MB`;
  }
  diff(start, end) {
    const res = {};
    const keys = new Set([...Object.keys(start), ...Object.keys(end)]);
    keys.forEach(key => {
      res[key] = safeGetKey(end, key) - safeGetKey(start, key);
    });
    return res;
  }
}
exports.default = ProcessMemoryCountrer;